\LoadClass[a4paper,12pt]{article} 


\usepackage[english]{babel} 
\usepackage[utf8]{inputenc} 
\usepackage[section]{placeins}
\usepackage[T1]{fontenc} 
\usepackage{mathtools} 
\usepackage{siunitx} %scientific notations (Ex.: \num{2e+9})
\usepackage{float} 
\usepackage{graphicx} 
\usepackage{caption} 
\usepackage{subcaption}
\usepackage{wallpaper}
\usepackage{nomencl}
\usepackage{eso-pic}
\usepackage{transparent}
\usepackage{comment}
\usepackage[export]{adjustbox}
%\makenomenclature
\usepackage{fancyhdr}
%\pagestyle{fancy}
%\fancyheadoffset{1cm}
%\setlength{\headheight}{2cm}
\usepackage{url}
\usepackage[hidelinks]{hyperref}
\usepackage{chemfig}
\usepackage[left=2.5cm,right=2.5cm,top=2cm,bottom=3.5cm]{geometry} 
\usepackage{hyperref}
\definecolor{newgreen}{RGB}{171, 170, 10}
\hypersetup{
  linkcolor  = newgreen,
  citecolor  = blue,
  urlcolor   = blue,
  colorlinks = true,
}
\usepackage[labelfont=bf]{caption}
%\captionsetup{justification=centering}
\captionsetup{justification=raggedright, singlelinecheck=false}
\usepackage{cleveref}
\newcolumntype{P}[1]{>{\centering\arraybackslash}p{#1}}
\setlength\extrarowheight{5pt}

\usepackage{caption}
\captionsetup[table]{position=bottom}
\usepackage{booktabs}


%----------------- Information about report ----------------------
\newcommand{\file}[1]{{\small\color{gray}[\texttt{#1}]}}


\newcommand\BackgroundPic{%
\put(0,0){%
\parbox[b][\paperheight]{\paperwidth}{%
\vfill
\centering
\vspace*{6.0cm}
\transparent{0.2}\includegraphics[width=\paperwidth,height=\paperheight,%
keepaspectratio]{logos/skoltech.png}%
\vfill
}}}

\newcommand{\course}[1]{\renewcommand{\course}{#1}}
\newcommand{\topic}[1]{\renewcommand{\topic}{#1}}
\newcommand{\lecturer}[1]{\renewcommand{\lecturer}{#1}}
\newcommand{\students}[1]{\renewcommand{\students}{#1}}
\newcommand{\angstrom}{\mbox{\normalfont\AA} }


\newcommand{\fairemarges}{
\makenomenclature
\pagestyle{fancy}
\fancyheadoffset{1cm}
\setlength{\headheight}{2cm}
\lhead{\includegraphics[scale=0.5]{logos/skoltech_logo.png}} 
\rhead{\nouppercase{\leftmark}}
%\rfoot{\thepage}
%\cfoot{ \textbf{\title}}
%\lfoot{\course}
}

\newcommand{\frontpage}{
\begin{titlepage}

    \AddToShipoutPicture*{\BackgroundPic}
	\centering 
	\includegraphics[width=0.4\textwidth]{logos/skoltech_logo.png}\par\vspace{1cm} %university logo
	{\scshape\Large Skolkovo Institute of Science and Technology.
 \par} %university name 
	\vspace{0.5cm}
	{\scshape\Large \course \\ \topic \vspace{0.5cm} \\ Final project report \par} %subtitle
	\vspace{1cm}
    \rule{\linewidth}{0.2 mm} \\[0.4 cm]
	{\huge\bfseries \title \par} \
    \rule{\linewidth}{0.2 mm} \\[1.5 cm]
	\vspace{1cm}
    
	\begin{minipage}{0.5\textwidth} 
		\begin{flushleft} \large 
		\emph{\textbf{Students :}}\\ %
        \students\\ 
		\end{flushleft}
	\end{minipage}
	~
	\begin{minipage}{0.4\textwidth}
		\begin{flushleft} \large
		\emph{\textbf{Lead Instructor :}} \\
		\lecturer \\
		\end{flushleft}
	\end{minipage}\\[4cm]
    
	\vfill
	{\large \today\par} %date

\end{titlepage}
}

\newcommand{\insererfigure}[4]{
\begin{figure}[ht]
\centering
\includegraphics[height=#2]{#1}
\caption{#3}
\label{fig: #4}
\end{figure}
}

\long\def\@caption#1[#2]#3{\par\begingroup
    \@parboxrestore
    \normalsize
    \@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
  \endgroup}
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{{\bf #1.} #2}%
 \ifdim \wd\@tempboxa >\hsize
   {\bf #1.} #2\par
 \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
  
\floatstyle{plaintop}
\restylefloat{table}

\usepackage{lipsum}  

